# Copyright (c) 2021 Project CHIP Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

name: 33.2.1. [TC-FLW-2.1] Attributes with server as DUT

PICS:
    - FLW.S

config:
    nodeId: 0x12344321
    cluster: "Flow Measurement"
    endpoint: 1

tests:
    - label:
          "Step 1: Commission DUT to TH (can be skipped if done in a preceding
          test)."
      cluster: "DelayCommands"
      command: "WaitForCommissionee"
      arguments:
          values:
              - name: "nodeId"
                value: nodeId

    - label: "Step 2: TH reads from the DUT the MinMeasuredValue attribute."
      PICS: FLW.S.A0001
      command: "readAttribute"
      attribute: "MinMeasuredValue"
      response:
          saveAs: MinMeasuredVariable
          constraints:
              type: int16u
              minValue: 0
              maxValue: 65533

    - label: "Step 3: TH reads from the DUT the MaxMeasuredValue attribute."
      PICS: FLW.S.A0002
      command: "readAttribute"
      attribute: "MaxMeasuredValue"
      response:
          saveAs: MaxMeasuredVariable
          constraints:
              type: int16u
              minValue: MinMeasuredVariable + 1
              maxValue: 65534

    - label: "Step 4: TH reads from the DUT the MeasuredValue attribute."
      PICS: FLW.S.A0000
      command: "readAttribute"
      attribute: "MeasuredValue"
      response:
          constraints:
              type: int16u
              minValue: MinMeasuredVariable
              maxValue: MaxMeasuredVariable

    - label: "Step 5: TH reads from the DUT the Tolerance attribute."
      PICS: FLW.S.A0003
      command: "readAttribute"
      attribute: "Tolerance"
      response:
          constraints:
              type: int16u
              minValue: 0
              maxValue: 2048
